Skip to main content
GET
/
api
/
admin
/
v1
/
deploymentTargets
/
selectable
Gets all selectable non-archived Deployment Targets based on the provided filters
curl --request GET \
  --url https://api.example.com/api/admin/v1/deploymentTargets/selectable \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "configuration": {},
      "deploymentTargetTypeId": "<string>",
      "deploymentTargetTypeName": "<string>",
      "id": "<string>",
      "isGloballyAccessible": true,
      "lastModified": "2023-11-07T05:31:56Z",
      "name": "Production",
      "userAndOrganizationIds": [
        "<string>"
      ],
      "defaultResourceConfigurationId": "<string>",
      "resourceConfigurations": [
        {
          "configuration": {},
          "deploymentTargetId": "<string>",
          "id": "<string>",
          "lastModified": "2023-11-07T05:31:56Z",
          "name": "gpu_large",
          "description": "<string>"
        }
      ]
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

name
string

Filter by Deployment Target name

deploymentType
string

Filter by deployment type

offset
integer
default:0

How many Deployment Targets from the start to skip. Defaults to 0.

limit
integer
default:10

Max number of Deployment Targets to fetch. Defaults to 10.

Response

Success

items
object[]
required
metadata
object
required